export const Marks = ({
  data,
  yScale,
  xScale,
  xValue,
  x2Value,
  yValue,
  tooltipFormat,
  xFirstRectValue,
  xSecondRectValue,
  x2FirstRectValue,
  x2SecondRectValue
}) => 
  data.map((d, i) => (
    <g transform={`translate(0, ${-yScale.bandwidth() / 2})`}>
       <defs>
        <pattern id="pattern-stripe" 
          width="4" height="4" 
          patternUnits="userSpaceOnUse"
          patternTransform="rotate(45)">
          <rect width="3.5" height="4" transform="translate(0,0)" fill="white"></rect>
        </pattern>
        <mask id="mask-stripe">
          <rect x="0" y="0" width="100%" height="100%" fill="url(#pattern-stripe)" />
        </mask>      
      </defs>
      <rect
        className="mark"
        key={yValue(d)}
        x={0}
        y={yScale(yValue(d))}
        width={xScale(xValue(d) * xFirstRectValue(d) / 100)}
        height={yScale.bandwidth()}
      >
        <title>Covid: {xFirstRectValue(d) + '%'}</title>
      </rect>
      <rect
        className="mark-2"
        key={yValue(d)}
        x={xScale(xValue(d) * xFirstRectValue(d) / 100)}
        y={yScale(yValue(d))}
        width={xScale(xValue(d) * xSecondRectValue(d) / 100)}
        height={yScale.bandwidth()}
      >
        <title>Other: {xSecondRectValue(d) + '%'}</title>
      </rect>
      <g>
      	<text
          key={i}
          style={{ textAnchor: 'end' }}
          x={xScale(xValue(d)) + 3}
          y={yScale(yValue(d)) + yScale.bandwidth() / 2}
          dy=".32em"
          style={{textAnchor: 'start'}}
        >
          {`${xValue(d)}%`}
        </text>
      </g>
      <rect
        className="rect-2"
        key={yValue(d)}
        x={0}
        y={yScale(yValue(d)) + yScale.bandwidth()}
        width={xScale(x2Value(d) * x2FirstRectValue(d)/100)}
        height={yScale.bandwidth()}
      >
        <title>Covid: {x2FirstRectValue(d) + '%'}</title>
      </rect>
      <rect
        className="rect-4"
        key={yValue(d)}
        x={xScale(x2Value(d) * x2FirstRectValue(d)/100)}
        y={yScale(yValue(d)) + yScale.bandwidth()}
        width={xScale(x2Value(d) * x2SecondRectValue(d)/100)}
        height={yScale.bandwidth()}
      >
        <title>Other: {x2SecondRectValue(d) + '%'}</title>
      </rect>
      <g>
      	<text
          key={i}
          style={{ textAnchor: 'end' }}
          x={xScale(x2Value(d)) + 3}
          y={yScale(yValue(d)) + yScale.bandwidth() + 10}
          dy=".32em"
          style={{textAnchor: 'start'}}
        >
          {`${x2Value(d)}%`}
        </text>
      </g>
    </g>
  ));